# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:38 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Apache
%define	pnam	ConfigFile
Summary:	Apache::ConfigFile - Parse an Apache style httpd.conf config file
Summary(pl):	Apache::ConfigFile - analiza pliku konfiguracyjnego httpd.conf w stylu Apache
Name:		perl-Apache-ConfigFile
Version:	0.14
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module parses the Apache httpd.conf, or any compatible config
file, and provides methods for you to access the values from the
config file. The basic usage of this module boils down to reading a
given config file and then using the cmd_config() and cmd_context()
functions to access its information.

%description -l pl
Ten modu analizuje plik Apache'a httpd.conf lub dowolny kompatybilny
plik konfiguracyjny i udostpnia metody pozwalajce na dostp do
wartoci z tego pliku. Podstawowe uywanie tego moduu sprowadza si
do przeczytania podanego pliku konfiguracyjnego, a nastpnie uywania
funkcji cmd_config() i cmd_context() do odczytywania informacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Apache-ConfigFile.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:25:43  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 21:15:50  qboosh
- pl description

Revision 1.1  2002/08/27 10:31:31  radek
- new, STBR
